Bug 73733 - (nvidia) Nvidia binary only kernel module related problems
Nvidia binary only kernel module related problems
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
http://www.codemonkey.org.uk/agp/nvid...
:
: 59075 73730 73814 74092 74102 74340 74511 75078 75855 76323 76601 77652 77675 77840 77941 78206 78700 78827 79515 80623 80716 81439 85469 86161 86204 88216 88984 89112 91098 101538 102436 106429 107445 108672 110202 111602 112685 113240 113274 113945 114555 115648 115996 116257 116413 116754 117644 117707 117714 118349 119296 119914 120024 120975 121116 121442 121691 121752 121879 122092 122242 122862 122864 122898 123817 125462 125692 126665 127505 127533 129298 131781 132235 133166 134127 134225 134629 135213 135283 138159 139074 139369 140151 140961 143869 146340 150886 151186 154876 156427 156455 157280 158455 161328 161743 161823 162159 165093 165252 171563 190608 438967 (view as bug list)
Depends On:
Blocks: nvidia-ws
  Show dependency treegraph
 
Reported: 2002-09-09 14:18 EDT by Arjan van de Ven
Modified: 2015-05-21 12:43 EDT (History)
28 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Arjan van de Ven 2002-09-09 14:18:45 EDT
The kernel modules NVidia proves in binary only form are not fully compatible
with Red Hat Linux 7.3 and will oops the kernel from time to time. 
Common occurences of said oopses are
"kernel BUG at page_alloc.c:131!" and "kernel BUG at page_alloc.c:117!".

Red Hat cannot and does not provide support for kernels that have these modules
linked in or had them linked in since boot. Please consider reporting your bug
to NVidia instead, they have our source code (but we don't have theirs).
Comment 1 Arjan van de Ven 2002-09-09 14:19:01 EDT
*** Bug 73730 has been marked as a duplicate of this bug. ***
Comment 2 Mike A. Harris 2002-09-15 01:41:57 EDT
*** Bug 73814 has been marked as a duplicate of this bug. ***
Comment 3 Arjan van de Ven 2002-09-16 04:50:39 EDT
*** Bug 74102 has been marked as a duplicate of this bug. ***
Comment 4 Arjan van de Ven 2002-09-17 13:51:30 EDT
*** Bug 74092 has been marked as a duplicate of this bug. ***
Comment 5 Mike A. Harris 2002-09-21 03:55:43 EDT
*** Bug 74340 has been marked as a duplicate of this bug. ***
Comment 6 Mike A. Harris 2002-09-29 13:24:11 EDT
*** Bug 74511 has been marked as a duplicate of this bug. ***
Comment 7 Arjan van de Ven 2002-10-04 03:58:57 EDT
*** Bug 75078 has been marked as a duplicate of this bug. ***
Comment 8 Arjan van de Ven 2002-10-11 15:08:24 EDT
*** Bug 75741 has been marked as a duplicate of this bug. ***
Comment 9 Arjan van de Ven 2002-10-14 04:07:45 EDT
*** Bug 75855 has been marked as a duplicate of this bug. ***
Comment 10 Arjan van de Ven 2002-10-18 09:02:20 EDT
*** Bug 76223 has been marked as a duplicate of this bug. ***
Comment 11 Mike A. Harris 2002-10-20 07:14:17 EDT
*** Bug 76323 has been marked as a duplicate of this bug. ***
Comment 12 Mike A. Harris 2002-10-20 07:57:33 EDT
Just to update this bug report....   This report is a generic catch all
Nvidia binary only driver bug report.  It isn't something specific to
Red Hat Linux 7.3, or any other release.

Nvidia binary only drivers are unsupported in Red Hat Linux in all
releases.  Users using these drivers and experiencing any type of
problem with the drivers, or with their systems need to realize that
Red Hat does not, and can not support Nvidias binary only drivers.

Any problems that occur with the Nvidia binary drivers, need to be
resolved either by the user themselves, or by contacting Nvidia
technical support or customer support.  I've been told by several
people that Nvidia technical support is very good, so hopefully
they can resolve the problems any of their users are having with
their binary only Linux drivers.

Hopefully this helps any Nvidia users with any problems they may
be having.
Comment 13 Arjan van de Ven 2002-10-24 04:22:58 EDT
*** Bug 76601 has been marked as a duplicate of this bug. ***
Comment 14 Arjan van de Ven 2002-11-11 10:27:37 EST
*** Bug 77652 has been marked as a duplicate of this bug. ***
Comment 15 Arjan van de Ven 2002-11-12 03:47:32 EST
*** Bug 77675 has been marked as a duplicate of this bug. ***
Comment 16 Mike A. Harris 2002-11-14 19:42:27 EST
*** Bug 77840 has been marked as a duplicate of this bug. ***
Comment 17 Mike A. Harris 2002-11-15 22:48:07 EST
*** Bug 77941 has been marked as a duplicate of this bug. ***
Comment 18 Mike A. Harris 2002-12-13 23:59:44 EST
*** Bug 79515 has been marked as a duplicate of this bug. ***
Comment 19 Mike A. Harris 2002-12-18 15:31:07 EST
*** Bug 78827 has been marked as a duplicate of this bug. ***
Comment 20 Knut J BJuland 2002-12-25 12:54:47 EST
http://www.minion.de/files/NVIDIA_kernel-1.0-3123-pa.diff at 
http://www.minion.de/nvidia.html contain a bugfix for the infamous page_alloc.c 
bug in nvidia driver-1.0-3123. The new Nvidia 1-4191 contain the fix but has a 
buggy render implemtation.
Comment 21 Mike A. Harris 2002-12-30 08:08:12 EST
*** Bug 80716 has been marked as a duplicate of this bug. ***
Comment 22 Mike A. Harris 2003-01-07 08:15:35 EST
*** Bug 80456 has been marked as a duplicate of this bug. ***
Comment 23 Mike A. Harris 2003-01-09 18:19:59 EST
*** Bug 81439 has been marked as a duplicate of this bug. ***
Comment 24 Arjan van de Ven 2003-02-12 16:33:58 EST
*** Bug 84155 has been marked as a duplicate of this bug. ***
Comment 25 Arjan van de Ven 2003-02-28 14:07:28 EST
*** Bug 78700 has been marked as a duplicate of this bug. ***
Comment 26 Arjan van de Ven 2003-03-03 14:10:00 EST
*** Bug 85469 has been marked as a duplicate of this bug. ***
Comment 27 Arjan van de Ven 2003-03-10 09:09:57 EST
*** Bug 77652 has been marked as a duplicate of this bug. ***
Comment 28 Arjan van de Ven 2003-03-10 11:34:18 EST
*** Bug 77652 has been marked as a duplicate of this bug. ***
Comment 29 Mike A. Harris 2003-03-15 02:03:35 EST
*** Bug 86161 has been marked as a duplicate of this bug. ***
Comment 30 Mike A. Harris 2003-03-17 14:04:57 EST
*** Bug 86204 has been marked as a duplicate of this bug. ***
Comment 31 Alex Hornby 2003-03-28 06:14:28 EST
Perhaps redhat could ship the utah glx open source nvidia OpenGL drivers?

That way fewer people might be tempted by nvidia's binary only driver in order
to get 3D.

See:
http://utah-glx.sourceforge.net/
Comment 32 Arjan van de Ven 2003-04-07 14:44:25 EDT
*** Bug 88216 has been marked as a duplicate of this bug. ***
Comment 33 Mike A. Harris 2003-04-12 11:42:26 EDT
Utah-GLX will not be shipped with Red Hat Linux.  I wont get into the
reasons why here in bugzilla because this is not the proper forum for
such a discussion.
Comment 34 Arjan van de Ven 2003-04-17 16:24:32 EDT
*** Bug 89112 has been marked as a duplicate of this bug. ***
Comment 35 Mike A. Harris 2003-04-19 04:40:21 EDT
*** Bug 88984 has been marked as a duplicate of this bug. ***
Comment 36 Mike A. Harris 2003-04-19 04:47:24 EDT
*** Bug 77652 has been marked as a duplicate of this bug. ***
Comment 37 Mike A. Harris 2003-05-27 06:35:35 EDT
*** Bug 91098 has been marked as a duplicate of this bug. ***
Comment 38 Alan Cox 2003-06-05 08:55:21 EDT
*** Bug 78206 has been marked as a duplicate of this bug. ***
Comment 39 Mike A. Harris 2003-07-09 05:26:47 EDT
*** Bug 80623 has been marked as a duplicate of this bug. ***
Comment 40 Mike A. Harris 2003-08-03 17:39:53 EDT
*** Bug 101538 has been marked as a duplicate of this bug. ***
Comment 41 Arjan van de Ven 2003-08-15 08:05:03 EDT
*** Bug 102436 has been marked as a duplicate of this bug. ***
Comment 42 Mike A. Harris 2003-09-29 16:56:22 EDT
*** Bug 101538 has been marked as a duplicate of this bug. ***
Comment 43 Arjan van de Ven 2003-10-07 03:44:02 EDT
*** Bug 106429 has been marked as a duplicate of this bug. ***
Comment 44 Mike A. Harris 2003-10-18 06:32:45 EDT
*** Bug 107445 has been marked as a duplicate of this bug. ***
Comment 45 Mike A. Harris 2003-10-23 18:32:01 EDT
*** Bug 107841 has been marked as a duplicate of this bug. ***
Comment 46 Jan Schiefer 2003-10-25 18:20:41 EDT
Any response from Nvidia so far?
Comment 47 Mike A. Harris 2003-11-09 04:21:02 EST
*** Bug 108672 has been marked as a duplicate of this bug. ***
Comment 48 Mike A. Harris 2003-11-14 21:23:32 EST
Jan)  A response from Nvidia would presumeably be in
response to a question, and we haven't asked them anything, so
I'm not sure what response from Nvidia that you are asking us
about.  If you have problems with Nvidia's proprietary drivers,
you need to contact Nvidia directly for support.  Red Hat does
not support any proprietary drivers, nor do we contact Nvidia
directly about problems with their drivers.  I've discussed
this before with Nvidia to find out what their preferred way
of handling user related bug reports, and several times they
have clearly stated that any users having problems with their
drivers should directly contact Nvidia via their nvnews web
chat forums.

Hope this helps you with your problem.
Comment 49 Arjan van de Ven 2003-11-17 09:48:57 EST
*** Bug 110202 has been marked as a duplicate of this bug. ***
Comment 50 Mike A. Harris 2003-12-05 17:49:37 EST
*** Bug 111602 has been marked as a duplicate of this bug. ***
Comment 51 Arjan van de Ven 2004-01-10 04:41:52 EST
*** Bug 113240 has been marked as a duplicate of this bug. ***
Comment 52 Mike A. Harris 2004-01-10 10:16:23 EST
*** Bug 112685 has been marked as a duplicate of this bug. ***
Comment 53 Mike A. Harris 2004-01-12 11:12:03 EST
*** Bug 113274 has been marked as a duplicate of this bug. ***
Comment 54 Arjan van de Ven 2004-01-20 10:35:57 EST
*** Bug 113945 has been marked as a duplicate of this bug. ***
Comment 55 Arjan van de Ven 2004-01-29 10:40:08 EST
*** Bug 114555 has been marked as a duplicate of this bug. ***
Comment 56 Arjan van de Ven 2004-02-14 05:19:11 EST
*** Bug 115648 has been marked as a duplicate of this bug. ***
Comment 57 Arjan van de Ven 2004-02-17 11:58:19 EST
*** Bug 115996 has been marked as a duplicate of this bug. ***
Comment 58 Arjan van de Ven 2004-02-19 11:03:48 EST
*** Bug 116257 has been marked as a duplicate of this bug. ***
Comment 59 Lachlan Paterson 2004-02-19 12:37:01 EST
For me the crashes still come even when I am not using the nvidia
graphic driver. I now use "nv" and get the same crashes. 
Comment 60 Mike A. Harris 2004-02-19 12:48:37 EST
Lachlan:
This master duplicate bug report is not the place to be discussing
this.  If you have further comments, add them to the report you
filed.
Comment 61 Mike A. Harris 2004-02-20 16:03:17 EST
*** Bug 116413 has been marked as a duplicate of this bug. ***
Comment 62 Arjan van de Ven 2004-02-24 17:05:09 EST
*** Bug 116754 has been marked as a duplicate of this bug. ***
Comment 63 Arjan van de Ven 2004-03-06 03:33:29 EST
*** Bug 117644 has been marked as a duplicate of this bug. ***
Comment 64 Arjan van de Ven 2004-03-07 17:46:48 EST
*** Bug 117707 has been marked as a duplicate of this bug. ***
Comment 65 Mike A. Harris 2004-03-07 19:43:56 EST
*** Bug 117714 has been marked as a duplicate of this bug. ***
Comment 66 Bill Diamond 2004-03-07 20:03:24 EST
This seems a rather odd way to handle a reproducible bug that affects
only specific kernel builds.  When booting any 2.6 kernel, including
2.6.3-1.118, the NVIDIA binary driver works flawlessly.  It's only
with the upgrade to the newer kernels that this bug rears its head.

I'm happy enough to dump blame on NVIDIA when it deserves it, but it
seems a bug that happens so reliably shouldn't just be fobbed off
"contact NVIDIA for support"
Comment 67 Bill Nottingham 2004-03-15 15:45:30 EST
*** Bug 118349 has been marked as a duplicate of this bug. ***
Comment 68 Michael A. Peters 2004-03-15 16:43:30 EST
// quoted
Nvidia binary only drivers are unsupported in Red Hat Linux in all
releases.  Users using these drivers and experiencing any type of
problem with the drivers, or with their systems need to realize that
Red Hat does not, and can not support Nvidias binary only drivers.
// end quoted

I understand this position.
However, it is still possible for Red Hat in some cases to make use of
the card with the nvidia drivers easier, and a "catch all" bug report
is not necessarily appropriate in every situation.

My bug report ( 118349 ) is an example.
It is not an issue at all when booting a stock unpatched kernel.org
kernel. It is only an issue when booting the Fedora kernel's which
have been patched for graphical boot process. Essentially, eye candy
is causing the rather serious issue - and it should be rather trivial
to fix the issue by not using the graphical boot eye candy when
unsupported kernel modules are used for the video card.
Comment 69 Darin May 2004-03-17 21:37:02 EST
I would agree with Bill that even though RH takes no responsibility,
this bug may indicate a real problem in the driver interface which
will affect other devices.

I could see closing the bug if and when the bug was indeed their
problem, but only after the new kernel code has been checked for
consistancy.
Comment 70 Mike A. Harris 2004-03-29 12:52:58 EST
*** Bug 119296 has been marked as a duplicate of this bug. ***
Comment 71 Mike A. Harris 2004-04-03 00:49:45 EST
*** Bug 119914 has been marked as a duplicate of this bug. ***
Comment 72 Mike A. Harris 2004-04-05 19:07:47 EDT
*** Bug 120024 has been marked as a duplicate of this bug. ***
Comment 73 Arjan van de Ven 2004-04-16 03:35:13 EDT
*** Bug 120975 has been marked as a duplicate of this bug. ***
Comment 74 Mike A. Harris 2004-04-18 13:56:29 EDT
*** Bug 121116 has been marked as a duplicate of this bug. ***
Comment 75 Mike A. Harris 2004-04-22 02:18:09 EDT
*** Bug 121442 has been marked as a duplicate of this bug. ***
Comment 76 Mike A. Harris 2004-04-29 02:37:47 EDT
*** Bug 121691 has been marked as a duplicate of this bug. ***
Comment 77 Mike A. Harris 2004-05-01 01:17:42 EDT
*** Bug 122092 has been marked as a duplicate of this bug. ***
Comment 78 Andrey Bondarenko 2004-05-02 07:01:13 EDT
nVidia works file with standare kernel and redhat's kernel form 7.3 
to FC1. nVidia cards are very popular, so may be drivers shold be 
tested by RH? You can not say "shity nvidia" or "shiti ati (it also 
does not work with FC2test3)" because too may peaple use it. 
Comment 79 Arjan van de Ven 2004-05-02 08:58:29 EDT
*** Bug 122242 has been marked as a duplicate of this bug. ***
Comment 80 Mike A. Harris 2004-05-04 11:58:03 EDT
*** Bug 121879 has been marked as a duplicate of this bug. ***
Comment 81 Arjan van de Ven 2004-05-09 14:23:38 EDT
*** Bug 122862 has been marked as a duplicate of this bug. ***
Comment 82 Arjan van de Ven 2004-05-09 14:24:01 EDT
*** Bug 122864 has been marked as a duplicate of this bug. ***
Comment 83 Ernie Petrides 2004-05-10 16:57:35 EDT
*** Bug 122898 has been marked as a duplicate of this bug. ***
Comment 84 Arjan van de Ven 2004-05-12 02:54:38 EDT
*** Bug 123070 has been marked as a duplicate of this bug. ***
Comment 85 Dave Jones 2004-06-07 15:10:07 EDT
*** Bug 125462 has been marked as a duplicate of this bug. ***
Comment 86 Arjan van de Ven 2004-06-19 08:08:53 EDT
*** Bug 125692 has been marked as a duplicate of this bug. ***
Comment 87 Dave Jones 2004-06-30 08:39:13 EDT
*** Bug 126665 has been marked as a duplicate of this bug. ***
Comment 88 Arjan van de Ven 2004-07-07 03:53:58 EDT
*** Bug 123817 has been marked as a duplicate of this bug. ***
Comment 89 Mike A. Harris 2004-07-09 02:19:25 EDT
*** Bug 127505 has been marked as a duplicate of this bug. ***
Comment 90 Mike A. Harris 2004-07-09 11:39:46 EDT
*** Bug 127533 has been marked as a duplicate of this bug. ***
Comment 91 Mike A. Harris 2004-07-13 19:10:37 EDT
*** Bug 127782 has been marked as a duplicate of this bug. ***
Comment 93 Arjan van de Ven 2004-07-29 10:10:37 EDT
*** Bug 128776 has been marked as a duplicate of this bug. ***
Comment 94 Arjan van de Ven 2004-08-09 12:47:10 EDT
*** Bug 129298 has been marked as a duplicate of this bug. ***
Comment 95 Ernie Petrides 2004-08-24 15:28:52 EDT
*** Bug 128776 has been marked as a duplicate of this bug. ***
Comment 96 Mike A. Harris 2004-09-06 06:53:36 EDT
*** Bug 131781 has been marked as a duplicate of this bug. ***
Comment 97 Mike A. Harris 2004-09-10 01:33:11 EDT
*** Bug 132235 has been marked as a duplicate of this bug. ***
Comment 98 Arjan van de Ven 2004-09-29 14:52:02 EDT
*** Bug 134127 has been marked as a duplicate of this bug. ***
Comment 99 Arjan van de Ven 2004-09-30 09:50:38 EDT
*** Bug 134225 has been marked as a duplicate of this bug. ***
Comment 100 Bugzilla owner 2004-09-30 11:39:55 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/
Comment 101 Arjan van de Ven 2004-10-05 06:03:18 EDT
*** Bug 134629 has been marked as a duplicate of this bug. ***
Comment 102 Warren Togami 2004-10-10 18:23:17 EDT
*** Bug 135213 has been marked as a duplicate of this bug. ***
Comment 103 Bill Nottingham 2004-10-12 12:15:17 EDT
*** Bug 135398 has been marked as a duplicate of this bug. ***
Comment 104 Pekka Pietikäinen 2004-10-23 07:31:34 EDT
*** Bug 135283 has been marked as a duplicate of this bug. ***
Comment 105 Dave Jones 2004-10-29 17:46:02 EDT
*** Bug 133166 has been marked as a duplicate of this bug. ***
Comment 106 Dave Jones 2004-10-29 23:29:00 EDT
*** Bug 59075 has been marked as a duplicate of this bug. ***
Comment 107 Dave Jones 2004-11-08 16:13:27 EST
*** Bug 138159 has been marked as a duplicate of this bug. ***
Comment 108 Warren Togami 2004-11-16 00:56:29 EST
*** Bug 139074 has been marked as a duplicate of this bug. ***
Comment 109 Dave Jones 2004-11-17 17:26:40 EST
*** Bug 139369 has been marked as a duplicate of this bug. ***
Comment 110 Dave Jones 2004-11-20 10:52:18 EST
*** Bug 140151 has been marked as a duplicate of this bug. ***
Comment 111 Dave Jones 2004-11-26 22:07:34 EST
*** Bug 140961 has been marked as a duplicate of this bug. ***
Comment 112 Tim Waugh 2004-11-30 05:04:13 EST
*** Bug 141294 has been marked as a duplicate of this bug. ***
Comment 113 Dave Jones 2005-01-01 14:36:24 EST
*** Bug 143869 has been marked as a duplicate of this bug. ***
Comment 114 Dave Jones 2005-01-17 02:57:13 EST
*** Bug 121752 has been marked as a duplicate of this bug. ***
Comment 115 Dave Jones 2005-01-27 09:04:42 EST
*** Bug 146340 has been marked as a duplicate of this bug. ***
Comment 116 Dave Jones 2005-03-11 14:26:37 EST
*** Bug 150886 has been marked as a duplicate of this bug. ***
Comment 117 Dave Jones 2005-03-15 16:28:44 EST
*** Bug 151186 has been marked as a duplicate of this bug. ***
Comment 118 Dave Jones 2005-04-14 15:28:52 EDT
*** Bug 154876 has been marked as a duplicate of this bug. ***
Comment 119 Dave Jones 2005-04-16 14:20:10 EDT
*** Bug 154978 has been marked as a duplicate of this bug. ***
Comment 120 Dave Jones 2005-05-01 04:00:19 EDT
*** Bug 156455 has been marked as a duplicate of this bug. ***
Comment 121 Dave Jones 2005-05-02 15:29:06 EDT
*** Bug 156427 has been marked as a duplicate of this bug. ***
Comment 122 Warren Togami 2005-05-10 01:37:14 EDT
*** Bug 157280 has been marked as a duplicate of this bug. ***
Comment 123 Dave Jones 2005-06-24 23:24:30 EDT
*** Bug 161328 has been marked as a duplicate of this bug. ***
Comment 124 Dave Jones 2005-07-01 18:11:24 EDT
*** Bug 162159 has been marked as a duplicate of this bug. ***
Comment 125 Dave Jones 2005-07-07 16:23:09 EDT
*** Bug 161823 has been marked as a duplicate of this bug. ***
Comment 126 Dave Jones 2005-07-07 20:59:22 EDT
*** Bug 161743 has been marked as a duplicate of this bug. ***
Comment 127 Dave Jones 2005-08-03 18:48:51 EDT
*** Bug 158455 has been marked as a duplicate of this bug. ***
Comment 128 Dave Jones 2005-08-04 13:33:13 EDT
*** Bug 165093 has been marked as a duplicate of this bug. ***
Comment 129 Dave Jones 2005-08-05 18:41:03 EDT
*** Bug 165252 has been marked as a duplicate of this bug. ***
Comment 130 Dave Jones 2005-10-25 04:34:25 EDT
*** Bug 171563 has been marked as a duplicate of this bug. ***
Comment 131 Dave Jones 2006-05-06 20:10:30 EDT
*** Bug 190608 has been marked as a duplicate of this bug. ***
Comment 132 Dave Jones 2006-06-26 10:41:51 EDT
*** Bug 195769 has been marked as a duplicate of this bug. ***
Comment 133 Matěj Cepl 2008-03-26 10:16:18 EDT
*** Bug 438967 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.